import {
    findMyTask,
    getUserInfo,
    findMyProjectList,
    selectRoleMenuList
} from '../../api/publics'
import {
    loginOut
} from '../../api/login'
import {
    removeToken
} from '../../utils/auth'
import {
    checkApplyList
  } from '../../api/projectApply'
const app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userData: null,
        menuList: [],
        show: false,
        todoDB: 0,
        chckDB: 0,
        isCheckRole: false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.initMenuList();
        this.loadInfo();
        this.initMyTask();
        this.initMyProject();
    },

    /**
     * 加载用户信息
     */
    loadInfo() {
        getUserInfo().then(res => {
            if (res.code == 200) {
                app.globalData.userData = res.data;
                this.setData({
                    userData: res.data
                })
                let roles = res.data.roles;
                if(roles!=null && roles.length>0){
                    roles.forEach(role =>{
                        if(role.roleId==88){
                            this.setData({
                                isCheckRole: true,
                            })
                            let params = "activeName=dys&pageNum=1&pageSize=1000";
                            checkApplyList(params).then(dbo =>{
                                this.setData({
                                    chckDB: dbo.total,
                                })
                            })
                        }
                    });
                }
            }
        });
    },

    initMenuList: function () {
        var that = this;
        selectRoleMenuList({}).then(res => {
            if (res.code == 200) {
                that.setData({
                    menuList: res.data
                })
            }
        });
    },

    initMyTask: function () {
        findMyTask({}).then(res => {
            this.setData({
                todoDB: res.data.todo
            })
        });
    },

    initMyProject: function () {
        findMyProjectList().then(res => {
            if (res.data.length > 0) {
                let list = [];
                let activeProject = false;
                res.data.forEach(item => {
                    //判断选中项目是否在建中...
                    if (item.id == app.globalData.useProjectId) {
                        activeProject = true;
                    }
                    list.push({
                        "id": item.id,
                        "text": item.name
                    });
                });
                app.globalData.projectInfoList = list;
                if (!activeProject) {
                    //没有选中项目默认选中最新项目
                    app.globalData.useProjectId = res.data[0].id;
                    app.globalData.useProjectName = res.data[0].name;
                }
            }
        });
    },

    /**
     * 路由跳转
     */
    goMenu: function (event) {
        wx.redirectTo({
            url: event.currentTarget.dataset.url
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 左侧抽屉显示
     */
    showPopup() {
        this.setData({
            show: true
        });
    },

    /**
     * 左侧抽屉隐藏
     */
    onClosePopup() {
        this.setData({
            show: false
        });
    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },

    /**
     * 修改密码
     */
    XGMM: function () {
        wx.redirectTo({
            url: '../updatePwd/updatePwd'
        })
    },

    /**
     * 退出登录
     */
    TCDL: function () {
        loginOut().then(response => {
            removeToken();
            wx.redirectTo({
                url: '../login/login',
            });
        });
    }
})